
ctools - Bug #3561

ctools unit test on Python 359 hangs

03/03/2021 11:05 PM - Knödlseder Jürgen

Status: Closed Start date: 03/03/2021

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Description

The ctools unit test on Python 359 hangs at

*************************

* cscripts unit testing *

*************************

Test cscript base class: ............................................................................................................................... ok

Test ctobservation base class: ............................................. ok

Test ctlikelihood base class: ... ok

In a previous run, the hang was at

*************************

* cscripts unit testing *

*************************

Test cscript base class: ............................................................................................................................... ok

Test ctobservation base class: ............................................. ok

Test ctlikelihood base class: ... ok

Test csbkgmodel on command line: ..... ok

Test csbkgmodel from Python: ........... ok

Test csbkgmodel pickeling: ...... ok

Test cscaldb on command line: ... ok

Test cscaldb from Python: . ok

Test cscaldb pickeling: ..... ok

This problem occurred before yet I'm not sure how it was fixed. Maybe by a reboot of the corresponding VM. The reboot date was

[02/16/21 12:37:41] which is the point from which the issues disappeared in the CI system.

History

#1 - 03/03/2021 11:07 PM - Knödlseder Jürgen

- Status changed from New to In Progress

- Assigned To set to Knödlseder Jürgen

- % Done changed from 0 to 10

I disconnected and reconnected Jenkins to see whether this leads to any change.

#2 - 03/04/2021 07:37 AM - Knödlseder Jürgen

- % Done changed from 10 to 20

The unit test still hangs at

*************************

* cscripts unit testing *
*************************

Test cscript base class: ............................................................................................................................... ok

Test ctobservation base class: ............................................. ok

Test ctlikelihood base class: ... ok

I need to connect to the machine and dive into the problem.

#3 - 04/02/2021 03:41 PM - Knödlseder Jürgen

- % Done changed from 20 to 30

A more recent Python 3.5 version is available, hence I installed Python 3.5.10 to see whether this fixes the issue.

#4 - 04/02/2021 04:43 PM - Knödlseder Jürgen

- % Done changed from 30 to 40

I installed at the same time the following new Python versions:

Python 3.5.10

Python 3.6.13

Python 3.7.10

Python 3.8.8

Python 3.9.2

The corresponding Jenkins jobs were updated.

#5 - 04/07/2021 11:51 AM - Knödlseder Jürgen

- Status changed from In Progress to Closed

- % Done changed from 40 to 100

Upgrading to Python 3.5.10 has fixed the problem. I close the issue now.
